#include <stdio.h>
#include <stdlib.h>

unsigned char a[32ul];

int main(int argc, char **argv)
{
  size_t p = 0;
  unsigned char m;
  int c;
  a[p] += 2u;
  m = (a[p] * 1u);
  a[p] = 0u;
  a[(p + 1ul) % 32ul ] += m * 3u;
  p = (p + 2ul) % 32ul;
  if ((c = getchar()) == EOF)
     a[p] = 0u;
  else
     a[p] = c;
  p = (p + 31ul) % 32ul;
  m = (a[p] * 1u);
  a[p] = 0u;
  a[(p + 1ul) % 32ul ] += m * 1u;
  p = (p + 1ul) % 32ul;
  putchar((unsigned char)a[p]);
  p = (p + 1ul) % 32ul;
  a[p] += 4u;
  if (a[p] & 1u)
     return 2;
  m = ((a[p] >> 1) * 127u) & 127u;
  a[p] = 0u;
  a[(p + 1ul) % 32ul ] += m * 1u;
  p = (p + 1ul) % 32ul;
  putchar((unsigned char)a[p]);
  return 0;
}
